package com.bonus.canteen.core.allocation.canteen.model;

import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenDeliveryModel;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenOrderDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocStallSaveDTO;
import com.bonus.canteen.core.menu.model.AllocMealtimeModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("档口修改Model")
public class AllocStallModifyModel extends AllocStallModel {
   @ApiModelProperty(
      value = "档口id",
      required = true
   )
   private @NotNull(
   message = "档口id 不能为空"
) Long stallId;

   public AllocStallModifyModel(Long stallId, AllocStallSaveDTO stallSaveDTO, AllocCanteenDeliveryModel deliveryModel, AllocCanteenOrderDTO orderDTO, List<AllocMealtimeModel> mealtimeList) {
      this.stallId = stallId;
      super.stallSaveDTO = stallSaveDTO;
      super.deliveryModel = deliveryModel;
      super.orderDTO = orderDTO;
      super.mealtimeList = mealtimeList;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public String toString() {
      return "AllocStallModifyModel(stallId=" + this.getStallId() + ")";
   }

   public AllocStallModifyModel() {
   }
}
